Name:		merkaartor
Version:	0.18.3
Release:	%mkrel 2
Summary:	Openstreetmap mapping program
License:	GPLv2+
Group:		Sciences/Other
URL:		http://www.merkaartor.be
Source:		https://github.com/openstreetmap/merkaartor/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gdal-devel
BuildRequires:	qttools5
BuildRequires:	qttranslations5
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	quazip-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libgps)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(sqlite3)

%description
Merkaartor is an openstreetmap (http://www.openstreetmap.org) mapping
program. Merkaartor focuses on providing a visually pleasing but
performant editing environment for free geographical data.

%prep
%setup -q
%autopatch -p1

%build
%{_qt5_bindir}/lrelease src/src.pro
%qmake_qt5 \
	Merkaartor.pro \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	TRANSDIR_MERKAARTOR=%{_datadir}/%{name}/translations \
	TRANSDIR_SYSTEM=%{_datadir}/qt5/translations \
	RELEASE=1 \
	GDAL=1 \
	ZBAR=0 \
	GEOIMAGE=1 \
	LIBPROXY=1 \
	GPSD=1 \
	GPSDLIB=1 \
	SYSTEM_QTSA=1 \
	SYSTEM_QUAZIP=1 \
	SYSTEM_QUAZIP_LDFLAGS="-lquazip5"
%make_build

%install
%qmakeinstall_std

%files
%doc AUTHORS CHANGELOG HACKING.md README.md
%license LICENSE*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Sep 25 2016 daviddavid <daviddavid> 0.18.3-2.mga6
+ Revision: 1055970
- upstream rebase a new tarball because of a conflicting with the standard import
- remove merged upstream patch

* Mon Aug 29 2016 daviddavid <daviddavid> 0.18.3-1.mga6
+ Revision: 1049391
- new version: 0.18.3
- enable libgps support

* Sun Aug 28 2016 daviddavid <daviddavid> 0.18.2-4.mga6
+ Revision: 1049383
- use system quazip and qtsingleapplication
- enable libproxy support
- add some patches from debian
- split out all Qt5 BRs

* Fri May 20 2016 tv <tv> 0.18.2-3.mga6
+ Revision: 1017107
- rebuild for new libproj

* Sun Jan 10 2016 wally <wally> 0.18.2-2.mga6
+ Revision: 920922
- rebuild for new gdal

* Thu Aug 13 2015 daviddavid <daviddavid> 0.18.2-1.mga6
+ Revision: 864201
- new version: 0.18.2
- switch to QT5 build
- add patch from Fedora to fix build with Qt 5.5
- update Source URL
- zbar support disabled (zbar is only qt4 for now)
- use upstream desktop file
- update file list
- update BuildRequires for Qt5

* Wed Oct 15 2014 umeabot <umeabot> 0.18.1-5.mga5
+ Revision: 751097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.18.1-4.mga5
+ Revision: 682362
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.18.1-3.mga4
+ Revision: 507915
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.18.1-2.mga3
+ Revision: 359972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 matteo <matteo> 0.18.1-1.mga3
+ Revision: 337618
- url fixed
- new version
- spec cleanup

  + nanardon <nanardon>
    - 0.17.2

* Sun Dec 25 2011 nanardon <nanardon> 0.15.3-2.mga2
+ Revision: 187542
- imported package merkaartor


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15.3-2mdv2011.0
+ Revision: 612850
- the mass rebuild of 2010.1 packages

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.15.3-1mdv2010.1
+ Revision: 535633
- Update to new version 0.15.3

* Fri Aug 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14-1mdv2010.0
+ Revision: 416397
- Fix libdir
- Update to new version 0.14
- Fix string format

* Mon Jun 08 2009 Michael Scherer <misc@mandriva.org> 0.13.2-3mdv2010.0
+ Revision: 384144
- update to latest release

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.12-3mdv2009.1
+ Revision: 324536
- rebuild

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.12-2mdv2009.1
+ Revision: 303633
- fix url

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.12-1mdv2009.1
+ Revision: 303628
- add desktop file
- import merkaartor


